Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0019829
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2012-02-21 17:552012-04-02 06:13
Reportergregor1comView Statuspublic 
Assigned Toeduardo_Argal 
PrioritynormalResolutionfixedFixed in Version3.0MP10
StatusclosedFix in branchpiFixed in SCM revision4af49610cdb2
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0MP6SCM revision 
Review Assigned To
Web browserMozilla Firefox
ModulesOpenbravo 3.0
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0019829: Fiscal Year End Close Generates Incorrect Accounting

DescriptionThis problem noted in the testing environment located at:

When you attempt to close the Fiscal Year, the Current Year Earnings account balance is duplicated in the balance sheet.
Steps To ReproduceLog on the above environment.
run the balance sheet with the following attributes:
acct schema: foreverhealth direct Canada (CAD)
Organization : foreverhealth distribution ltd.
balance sheet, 2011 rference 2010, only accounts with nonzero bal.s

Note the balances, subtotals and totals for the Equity section of the B/S.

Then, for 2011, close the fiscal year and "create reg fact acct". when the process completes (if it completes) then

rerun the balance sheet and note that the equity section is different - the current year earnings has doubled as a result of running the process this is incorrect.
------------------------------------------------------------------------
Please note: there are several bugs related to this critical prcess for , red account. They need to close the FY but 1) sometimes the close process does not complete 2) it should not have balance sheet closing entries, only income statement ones (meaning no reversal of A/r, etc at end of year as these are "permanenet accounts" while Revenues are "temporary accounts" - and not just in the USA and Canada) and 3) there are minor usability bugs. these will be separately listed.
--------------------------------------------------------------------------
Proposed Solution(Speculating) that 'Current year income' should summarize rev and expense whenever you run the report to have a completed balance sheet, but that at fiscal close, this current year income becomes finalized to its own account (established in the accounting schema under "retained earnings account". In other words, the close should move current year income to that account, but it should also eliminate its inclusion in the account "current year income": it is being double counted.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0045384)
vmromanos (developer)
2012-02-22 18:26

Bug edited. Please don't specify confidential data in a public issue (customer real name, URL, user, password, etc.)
(0046614)
hgbot (developer)
2012-03-21 17:58

Repository: erp/devel/pi
Changeset: a4e4ae163ec3f4b3feeb35cbd0859b0b8c62f5c3
Author: Eduardo Argal Guibert <eduardo.argal <at> openbravo.com>
Date: Tue Mar 20 13:31:11 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/a4e4ae163ec3f4b3feeb35cbd0859b0b8c62f5c3 [^]

Fixes issue 19831, fixes issue 19829

---
M src-db/database/model/tables/C_ACCTSCHEMA_GL.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src/org/openbravo/erpCommon/ad_actionButton/CreateRegFactAcct.java
M src/org/openbravo/erpCommon/ad_actionButton/CreateRegFactAcct_data.xsql
---
(0046735)
eduardo_Argal (developer)
2012-03-26 16:13

TESTING PLAN:

1)CREATE CLOSING FOR ORGANIZATION F&B US, Inc. FOR YEAR 2010
2) REVIEW ENTRIES GENERATED IN GENERAL LEDGER JOURNAL
3) MODIFY SETUP FOR ACCOUNTING SCHEMA SO THAT NO ACCOUNTING FOR PERMANENT ENTRIES ARE CREATED (GL TAB IN ACCOUNTING SCHEMA UN-FLAG CHECK BOX)
4) RUN STEPS 1 AND 2 AGAIN FOR REVIEW
(0046952)
hgbot (developer)
2012-03-30 09:11

Repository: erp/devel/pi
Changeset: 4af49610cdb252cd047d572f5bef1f5cc056b3f1
Author: Eduardo Argal Guibert <eduardo.argal <at> openbravo.com>
Date: Thu Mar 29 16:39:23 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/4af49610cdb252cd047d572f5bef1f5cc056b3f1 [^]

Fixes bug 19829: Fiscal Year End Close Generates Incorrect Accounting

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/erpCommon/ad_actionButton/CreateRegFactAcct.java
M src/org/openbravo/erpCommon/ad_actionButton/CreateRegFactAcct_data.xsql
---
(0046953)
vmromanos (developer)
2012-03-30 09:12

code review + testing OK.

The closing and opening entries are now opposite.
(0047189)
hudsonbot (developer)
2012-04-02 06:11

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7814864461ac [^]

Maturity status: Test
(0047281)
hudsonbot (developer)
2012-04-02 06:13

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7814864461ac [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-02-21 17:55 gregor1com New Issue
2012-02-21 17:55 gregor1com Assigned To => vmromanos
2012-02-21 17:55 gregor1com Web browser => Mozilla Firefox
2012-02-21 17:55 gregor1com Modules => Openbravo 3.0
2012-02-22 18:24 vmromanos Web browser Mozilla Firefox => Mozilla Firefox
2012-02-22 18:24 vmromanos Description Updated View Revisions
2012-02-22 18:25 vmromanos Web browser Mozilla Firefox => Mozilla Firefox
2012-02-22 18:25 vmromanos Description Updated View Revisions
2012-02-22 18:25 vmromanos Steps to Reproduce Updated View Revisions
2012-02-22 18:26 vmromanos Note Added: 0045384
2012-03-02 17:32 eduardo_Argal Assigned To vmromanos => eduardo_Argal
2012-03-02 17:53 eduardo_Argal Web browser Mozilla Firefox => Mozilla Firefox
2012-03-02 17:53 eduardo_Argal Severity critical => major
2012-03-20 13:30 eduardo_Argal Status new => scheduled
2012-03-20 13:30 eduardo_Argal fix_in_branch => pi
2012-03-21 17:58 hgbot Checkin
2012-03-21 17:58 hgbot Note Added: 0046614
2012-03-21 17:58 hgbot Status scheduled => resolved
2012-03-21 17:58 hgbot Resolution open => fixed
2012-03-21 17:58 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a4e4ae163ec3f4b3feeb35cbd0859b0b8c62f5c3 [^]
2012-03-26 16:13 eduardo_Argal Note Added: 0046735
2012-03-29 11:26 vmromanos Status resolved => new
2012-03-29 11:26 vmromanos Resolution fixed => open
2012-03-29 12:40 eduardo_Argal Status new => scheduled
2012-03-30 09:11 hgbot Checkin
2012-03-30 09:11 hgbot Note Added: 0046952
2012-03-30 09:11 hgbot Status scheduled => resolved
2012-03-30 09:11 hgbot Resolution open => fixed
2012-03-30 09:11 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/a4e4ae163ec3f4b3feeb35cbd0859b0b8c62f5c3 [^] => http://code.openbravo.com/erp/devel/pi/rev/4af49610cdb252cd047d572f5bef1f5cc056b3f1 [^]
2012-03-30 09:12 vmromanos Note Added: 0046953
2012-03-30 09:12 vmromanos Status resolved => closed
2012-03-30 09:12 vmromanos Fixed in Version => 3.0MP10
2012-04-02 06:11 hudsonbot Checkin
2012-04-02 06:11 hudsonbot Note Added: 0047189
2012-04-02 06:13 hudsonbot Checkin
2012-04-02 06:13 hudsonbot Note Added: 0047281


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker